## ethstatus 0.4.2

=== Makefile ===
# Makefile for EthStatus

# Edited for Debian GNU/Linux.
DESTDIR =

LDFLAGS = -lncurses
CFLAGS = -O2 -Wall
#CFLAGS = -Wall -g

BIN = ethstatus
SRC = ethstatus.c

# Edited for Debian GNU/Linux.
INSTDIR = $(DESTDIR)/usr/bin

INSTALL=/usr/bin/install
INSTALL_PARMS=-o 0 -g 0 -m 0755

all : ethstatus

ethstatus : ethstatus.c ethstatus.h
	gcc $(CFLAGS) $(LDFLAGS) -o ${BIN} ${SRC}

clean:
	rm -f ${BIN} *.o core *~ 

install:
	# Edited for Debian GNU/Linux.
	$(INSTALL) $(INSTALL_PARMS) ethstatus $(DESTDIR)/usr/bin

## ethstatus 0.4.3

=== Makefile ===
--- 
+++ 
@@ -27,4 +27,3 @@
 install:
 	# Edited for Debian GNU/Linux.
 	$(INSTALL) $(INSTALL_PARMS) ethstatus $(DESTDIR)/usr/bin
-

=== debian/changelog ===
ethstatus (0.4.3) unstable; urgency=low

  * New maintainer. (Closes: #394092)
  * Upstream is the same as Debian maintainer.
    Therefore, build a native Debian package.
  * Update Standards-Version to 3.7.2.
  * New FSF address in COPYRIGHT and debian/copyright.
  * Conform to policy by using "-Wall -g -O2" as CFLAGS.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Fri, 20 Oct 2006 00:10:20 +0200

ethstatus (0.4.2-2) unstable; urgency=low

  * raised the standards version to 3.6.1
  * removed old comments from the rules file (gzip for manpages)

 -- Christoph Haas <email@christoph-haas.de>  Sun, 21 Dec 2003 22:44:33 +0100

ethstatus (0.4.2-1) unstable; urgency=low

  * New upstream release
  * added myself to the copyright
  * CFLAGS is now exported in the rules file
  * lazy uploaders removed ;)
  * manpage is now provided in the upstream archive instead of the diff.gz

 -- Christoph Haas <email@christoph-haas.de>  Sun, 21 Dec 2003 18:36:35 +0100

ethstatus (0.4.1-2) unstable; urgency=low

  * Removed the 'dh_installchangelogs' file that was left in the build
    directory accidentally. (Thanks to Joe Nahmias <joe@nahmias.net>.)

 -- Christoph Haas <email@christoph-haas.de>  Fri, 12 Dec 2003 15:50:22 +0100

ethstatus (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Now values larger than 1024 (up to 1024^2) can be used with the -S 
    option (closes: #214711)

 -- Christoph Haas <email@christoph-haas.de>  Fri, 14 Nov 2003 22:56:50 +0100

ethstatus (0.4-2) unstable; urgency=low

  * Fixed the copyright note (did not contain the full GPL).
  * Man page is now installed by dh_installman using 'ethstatus.manpages'
  * Typos fixed (inconsistent uppercase/lowercase use of
    ethstatus, Ethstatus and EthStatus).
  * Removed unused parts of the rules file.
  * Updated the standards version to 3.6.0.

 -- Christoph Haas <email@christoph-haas.de>  Wed,  6 Aug 2003 20:25:51 +0200

ethstatus (0.4-1) unstable; urgency=low

  * Christoph Haas is now also upstream maintainer as the original author
    is no longer actively supporting and developing this application
  * Interface names are no longer restricted to eth*
  * Command line options displayed when running with "-h" or when running
    with invalid arguments
  * Interface speed now also selectable in absolute values
    by using the "-S" option (e.g. -S 128k)
  * Removed the "runonboot" program (you are free to start ethstatus
    manually from the /etc/inittab if you miss this feature)
  * Removed global configuration file /etc/ethstatus.cfg
    (ethstatus runs well with command line options only)
  * Removed email check
  * Scaling of bytes/KB/MB units is computed automatically
  * Uses getopt to prevent segmentation faults when parsing
    command-line argument
  * Removed the options "--bytes", "--packets", "--errors"
    and "--ipaddress" as this information can be fetched with ifconfig.

 -- Christoph Haas <email@christoph-haas.de>  Fri, 16 May 2003 21:49:21 +0200

ethstatus (0.3.0-2) unstable; urgency=low

  * Build-depends fixed (closes: #193262)

 -- Christoph Haas <email@christoph-haas.de>  Wed, 14 May 2003 18:16:28 +0200

ethstatus (0.3.0-1) unstable; urgency=low

  * Initial Release (closes: #126200).

 -- Christoph Haas <email@christoph-haas.de>  Sat, 10 May 2003 15:48:17 +0200

=== debian/control ===
Source: ethstatus
Section: net
Priority: optional
Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
Build-Depends: debhelper (>> 4.0.0), libncurses5-dev
Standards-Version: 3.7.2

Package: ethstatus
Architecture: any
Depends: ${shlibs:Depends}
Description: console-based ethernet statistics monitor
 Ethstatus is a console-based monitoring utility for displaying
 statistical data of the ethernet interface on a quantity basis.
 It is similar to iptraf but is meant to run as a permanent console
 task to monitor the network load.

## ethstatus 0.4.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 all : ethstatus
 
 ethstatus : ethstatus.c ethstatus.h
-	gcc $(CFLAGS) $(LDFLAGS) -o ${BIN} ${SRC}
+	gcc $(CFLAGS) -o ${BIN} ${SRC} $(LDFLAGS) 
 
 clean:
 	rm -f ${BIN} *.o core *~

=== debian/changelog ===
ethstatus (0.4.3ubuntu1) oneiric; urgency=low

  * Makefile: reorder LDFLAGS to fix FTBFS from new DSO linking (LP: #770833)

 -- Alex Chiang <achiang@canonical.com>  Mon, 12 Sep 2011 21:35:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ethstatus
 Section: net
 Priority: optional
-Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Aurélien GÉRÔME <ag@roxor.cx>
 Build-Depends: debhelper (>> 4.0.0), libncurses5-dev
 Standards-Version: 3.7.2

## ethstatus 0.4.3ubuntu2

=== debian/changelog ===
ethstatus (0.4.3ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:51 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CFLAGS)"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ethstatus.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ethstatus

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs CHANGELOG
	dh_link
	dh_strip
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ethstatus 0.4.8

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,8 @@
 # Edited for Debian GNU/Linux.
 DESTDIR =
 
-LDFLAGS = -lncurses
-CFLAGS = -O2 -Wall
-#CFLAGS = -Wall -g
+LDFLAGS += -lncurses
+CFLAGS += -O2 -Wall
 
 BIN = ethstatus
 SRC = ethstatus.c
@@ -19,7 +18,7 @@
 all : ethstatus
 
 ethstatus : ethstatus.c ethstatus.h
-	gcc $(CFLAGS) -o ${BIN} ${SRC} $(LDFLAGS) 
+	gcc $(CFLAGS) $(CPPFLAGS) -o ${BIN} ${SRC} $(LDFLAGS)
 
 clean:
 	rm -f ${BIN} *.o core *~

=== debian/changelog ===
ethstatus (0.4.8) unstable; urgency=medium

  * New release.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
  * ethstatus.h:
      - Updated the program version to correspond the debian 
        package version because this package is native.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Wed, 01 Jun 2016 02:02:50 +0000

ethstatus (0.4.7) unstable; urgency=medium

  * New release.
  * Upload to unstable.
  * ethstatus.c:
      - Fixed the autoscale to avoid a misalignment in screen
        when processing more than 10000 packages.
        Thanks Sven Haegar. (Closes: #819464)
      - Updated to accept capital letters in the -S option.
        Thanks Steffen Grunewald and David Binderman.(Closes: #737744)
      - Updated the limit to option -S to 4096 to permit set a
        speed greater then 1024.
        Thanks Steffen Grunewald.(Closes: #483154)
  * ethstatus.h:
      - Updated the program version to correspond the debian 
        package version because this package is native.
      - Updated the author field.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Sun, 03 Apr 2016 23:10:42 +0000

ethstatus (0.4.6) experimental; urgency=medium

  * New release.
  * debian/control:
      - Updated the architeture field to linux-any because
        this package has a strong dependency on Linux.
        Thanks Samuel Thibault. (Closes: #745184)
  * ethstatus.c:
      - Allow interface name up to 20 characteres.
        Thanks Sven Haegar. (Closes: #803663)
      - Screen updates restricted to half second to reduce
        cpu usage. Thanks Sven Haegar. (Closes: #458483)
      - Updated to show the RX usage summary and TX separately,
        not only the summary the both.
        Thanks Sven Haegar by patches. (Closes: #818929)
  * Makefile:
      - Reordered LDFLAGS to fixes FTBFS in Ubuntu.
      - Thanks Alex Chiang by patch. (Closes: #641381,LP: #770833)

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Sat, 26 Mar 2016 18:37:34 +0000

ethstatus (0.4.5) unstable; urgency=medium

  * Update DH level to 9.
  * debian/copyright:
      - update to format standard machine-readable.
      - update file.
  * debian/control:
      - Added ${misc:Depends} in Depends field.
      - Updated Build-Depends to use debhelper >= 9.
      - Adjusted the long description to not exceed
        60 characters per line.
  * debian/rules:
      - Updated to small format.
      - Enabled hardening options.
  * Removed the debian/docs and debian/README.Debian files
    because it has no content of the user interest.
  * Makefile:
      - Updated to enable hardening.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Wed, 02 Mar 2016 19:10:28 -0300

ethstatus (0.4.4) unstable; urgency=medium

  * New maintainer. Thanks Aurélien and Christoph.
    (Closes: #677768)
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Set myself like maintainer.
  * Created the directory d/source.
  * Upgraded to packaging format "3.0 native".

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Tue, 01 Mar 2016 21:10:05 -0300

=== debian/control ===
Source: ethstatus
Section: net
Priority: optional
Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.8

Package: ethstatus
Architecture: linux-any
Depends: ${shlibs:Depends},${misc:Depends}
Description: console-based ethernet statistics monitor
 Ethstatus is a console-based monitoring utility for
 displaying statistical data of the ethernet interface
 on a quantity basis. It is similar to iptraf but is meant
 to run as a permanent console task to monitor the network
 load.

## ethstatus 0.4.9

=== debian/changelog ===
ethstatus (0.4.9) unstable; urgency=medium

  * New release.
  * debian/control:
      - Bumped Standards-Version to 4.1.4.
  * Makefile:
      - Fix FTCBFS: Make gcc substitutable.
        Thanks Helmut Grohne. (Closes: #901097)

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Wed, 20 Jun 2018 03:36:41 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
 Build-Depends: debhelper (>= 9), libncurses5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 
 Package: ethstatus
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

## ethstatus 0.4.9+nmu1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 all : ethstatus
 
 ethstatus : ethstatus.c ethstatus.h
-	gcc $(CFLAGS) $(CPPFLAGS) -o ${BIN} ${SRC} $(LDFLAGS)
+	$(CC) $(CFLAGS) $(CPPFLAGS) -o ${BIN} ${SRC} $(LDFLAGS)
 
 clean:
 	rm -f ${BIN} *.o core *~

=== debian/changelog ===
ethstatus (0.4.9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089320)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:08:22 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
 Build-Depends: debhelper (>= 9), libncurses5-dev
+Rules-Requires-Root: no
 Standards-Version: 4.1.4
 
 Package: ethstatus

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,5 @@
 %:
 	dh $@ --parallel
 
+override_dh_auto_install:
+	dh_auto_install -- INSTALL_PARMS="-m 0755"

## ethstatus 0.4.9+nmu1build1

=== debian/changelog ===
ethstatus (0.4.9+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 20 Jan 2026 19:28:34 +0000

## ethstatus 0.4.9+nmu2

=== debian/changelog ===
ethstatus (0.4.9+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove .pc directory
    Closes: #1072654
  * Maintain package in Debian team on Salsa
    Closes: #1122538
  * Standards-Version: 4.7.3
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: libncurses5-dev => libncurses-dev
  * d/copyright: Update copyright
  * Correct version string in ethstatus.h

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jan 2026 16:50:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ethstatus
 Section: net
-Priority: optional
 Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
-Build-Depends: debhelper (>= 9), libncurses5-dev
+Build-Depends: debhelper-compat (= 13), libncurses-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.4
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/ethstatus
+Vcs-Git: https://salsa.debian.org/debian/ethstatus.git
 
 Package: ethstatus
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- INSTALL_PARMS="-m 0755"
